#if !defined(AFX_BROWSECTRL_H__2D321E36_0CDE_11D3_B7A0_0004ACBD4F4C__INCLUDED_)
#define AFX_BROWSECTRL_H__2D321E36_0CDE_11D3_B7A0_0004ACBD4F4C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// BrowseCtrl.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CBrowseCtrl window

#define CBROWSE_MAXTEXTITEM	255

class CBrowseCtrl : public CListCtrl
{
// Construction
public:
	CBrowseCtrl();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBrowseCtrl)
	protected:
	virtual void PreSubclassWindow();
	//}}AFX_VIRTUAL

// Implementation
public:
	CWinThread * m_pCheckSelThread;
	BOOL m_bThreadActive;
	void SetSelected(int n);
	void DeleteAllItems();
	void DeleteItemToEnd(int n);
	void SelectItem(int n);
	void DeleteItem(int n);
	void DeleteAllColumns();
	void DeleteColumn(int n);
	CString GetItemText(int r,int c);
	DWORD GetItemData(int n);
	DWORD GetItemState(int n);
	int GetSelected();
	int GetNumColumns();
	int GetNumItems();
	void AddItem(int c,CString cs,DWORD dw=0);
	void AddColumn(CString cs);
	int m_numitems;
	int m_numcolumns;
	virtual ~CBrowseCtrl();
	virtual void OnSelChange(int n);
	friend UINT CheckSelThread(void *p);

	// Generated message map functions
protected:
	//{{AFX_MSG(CBrowseCtrl)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy( );
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BROWSECTRL_H__2D321E36_0CDE_11D3_B7A0_0004ACBD4F4C__INCLUDED_)
