// ConfigItem.h: interface for the CConfigItem class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CONFIGITEM_H__21A279A3_2BB6_445A_9046_9091F3157745__INCLUDED_)
#define AFX_CONFIGITEM_H__21A279A3_2BB6_445A_9046_9091F3157745__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <afxmt.h>
#include "WinSTDP.h"

class CConfPage;
class CLogView;

class CConfigItem  
{
public:
	CWinSTDP::WinSTDPStatus m_stdp_status;
	CLogView * m_pLogView;
	HANDLE m_hConfProcess;
	CWinThread * m_pLoaderThread;
	CConfPage * m_pPage;
	CString m_serv_port;
	CString m_out_dir;
	CString m_in_dir;
	CString m_email;
	CString m_local_aa;
	CString m_name;
	CString m_serv_aa;
	CString m_serv_ip;
	CString m_disabled;
	CString m_mailenabled;
	CConfigItem();
	virtual ~CConfigItem();

};

#endif // !defined(AFX_CONFIGITEM_H__21A279A3_2BB6_445A_9046_9091F3157745__INCLUDED_)
