// FnSocketWnd.cpp : implementation file
//

#include "stdafx.h"
#include "FnSocket.h"
#include "FnSocketWnd.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFnSocketWnd

IMPLEMENT_DYNCREATE(CFnSocketWnd, CFrameWnd)

CFnSocketWnd::CFnSocketWnd()
{
	m_pFnSocket=NULL;
	m_bCreated=FALSE;
}

CFnSocketWnd::~CFnSocketWnd()
{
}


BEGIN_MESSAGE_MAP(CFnSocketWnd, CFrameWnd)
	//{{AFX_MSG_MAP(CFnSocketWnd)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFnSocketWnd message handlers

LRESULT CFnSocketWnd::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam) 
{
	// TODO: Add your specialized code here and/or call the base class
	switch (message) {
	case WM_FNSOCKET_CREATE:
		{
			if (!m_bCreated) {
				if (!m_pFnSocket->Create((UINT)wParam)) {
					m_pFnSocket->OnError("Error in CAsyncSocket::Create()");
					m_bCreated=FALSE;
				} else {
					m_bCreated=TRUE;
				}
			}
			break;
		}
	case WM_FNSOCKET_CLOSE:
		{
			if (m_bCreated) {
				if (m_pFnSocket->m_hSocket!=INVALID_SOCKET) {
					m_pFnSocket->FnDisconnect();
				}
				m_bCreated=FALSE;
			}
			break;
		}
	case WM_FNSOCKET_ATTACH:
		{
			if (m_bCreated) {
				if (m_pFnSocket->m_hSocket!=INVALID_SOCKET) {
					m_pFnSocket->Attach(m_pFnSocket->m_hSocket);
				}
			}
			break;
		}
	default:
		return CFrameWnd::DefWindowProc(message, wParam, lParam);
	}
	
	return 0;
}
