#include "stdafx.h"

#include "RegAccess.h"



BOOL CRegAccess::Open(HKEY hkey,CString subkey)
{
	BOOL retv=TRUE;
	if (RegOpenKey(hkey,subkey,&h)!=ERROR_SUCCESS) {
		retv=FALSE;
	}
	return retv;
}

BOOL CRegAccess::Create(HKEY hkey,CString subkey)
{
	BOOL retv=TRUE;
	if (RegCreateKey(hkey,subkey,&h)!=ERROR_SUCCESS) {
		retv=FALSE;
	}
	return retv;
}

BOOL CRegAccess::GetString(CString name,CString *result,DWORD ln)
{
	BOOL retv=TRUE;
	DWORD type=0;
	BYTE *tmp=(BYTE *)result->GetBuffer(ln+1);

	if (RegQueryValueEx(h,name,0,&type,tmp,&ln)!=ERROR_SUCCESS) {
			*result=""; retv=FALSE;
	} else *result=tmp;

	result->ReleaseBuffer();
	return retv;
}

BOOL CRegAccess::PutString(CString name,CString value)
{
	BOOL retv=TRUE;
	if (RegSetValueEx(h,name,0,REG_SZ,(BYTE *)((LPCSTR)value),value.GetLength())!=ERROR_SUCCESS) {
			retv=FALSE;
	}
	return retv;
}

BOOL CRegAccess::Close()
{
	BOOL retv=TRUE;
	if (RegCloseKey(h)!=ERROR_SUCCESS) {
			retv=FALSE;
	}
	return retv;
}
