// TGWDlg.h : header file
//

#if !defined(AFX_TGWDLG_H__9107FA9B_BC49_492C_A3FC_EF35FE96B8A4__INCLUDED_)
#define AFX_TGWDLG_H__9107FA9B_BC49_492C_A3FC_EF35FE96B8A4__INCLUDED_

#include "ConfSheet.h"	// Added by ClassView
#include "TelnetSocket.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CTGWDlg dialog

class CTGWDlg : public CDialog
{
// Construction
public:
	CTelnetSocket m_tSock;
	static void TestProcessStarterThread(int nconf);
	static BOOL StartTestProcess(int nconf);
	void ApplyConfig();
	void ResizeLogo();
	CConfSheet m_ps;
	CStatic m_Frame;
	CWnd * m_ppsFrame;
	void ManageTaskbarIcon(UINT cmd, UINT iconID, UINT nID, LPSTR str);
	CMenu m_menu;
	virtual void OnCancel();
	virtual void OnOK();
	CTGWDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CTGWDlg)
	enum { IDD = IDD_TGW6_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTGWDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual LRESULT DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	HICON m_hIconSmall;

	// Generated message map functions
	//{{AFX_MSG(CTGWDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnAbout();
	afx_msg void OnMinimize();
	afx_msg void OnExit();
	afx_msg void OnConfAdd();
	afx_msg void OnConfEdit();
	afx_msg void OnConfDel();
	afx_msg void OnConfCommon();
	afx_msg void OnConfOffline();
	afx_msg void OnDiagStdp();
	afx_msg BOOL OnCopyData(CWnd* pWnd, COPYDATASTRUCT* pCopyDataStruct);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TGWDLG_H__9107FA9B_BC49_492C_A3FC_EF35FE96B8A4__INCLUDED_)
