#if !defined(AFX_BROWSEVIEW_H__711C8683_1191_11D3_B7A3_0004ACBD4F4C__INCLUDED_)
#define AFX_BROWSEVIEW_H__711C8683_1191_11D3_B7A3_0004ACBD4F4C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// BrowseView.h : header file
//

#include <afxcview.h>

/////////////////////////////////////////////////////////////////////////////
// CBrowseView view

#define CBROWSE_MAXTEXTITEM	255

class CBrowseView : public CListView
{
	DECLARE_DYNCREATE(CBrowseView)
protected:
	CBrowseView();           // protected constructor used by dynamic creation
// Attributes
public:

// Operations
public:
	virtual void OnSelChange(int n);
	BOOL m_notify_flag;
	void SetSelected(int n);
	void SelectItem(int n);
	int GetNumItems();
	int GetSelected();
	int GetNumColumns();
	CString GetItemText(int r, int c);
	DWORD GetItemState(int n);
	DWORD GetItemData(int n);
	void DeleteItemToEnd(int n);
	void DeleteItem(int n);
	void DeleteColumn(int n);
	void DeleteAllItems();
	void DeleteAllColumns();
	void AddItem(int c, CString cs, DWORD dw=NULL);
	int m_numitems;
	int m_numcolumns;
	void AddColumn(CString cs);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBrowseView)
	public:
	virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext = NULL);
	virtual void OnInitialUpdate();
	virtual BOOL OnChildNotify(UINT message, WPARAM wParam, LPARAM lParam, LRESULT* pLResult);
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual void PreSubclassWindow();
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CBrowseView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CBrowseView)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BROWSEVIEW_H__711C8683_1191_11D3_B7A3_0004ACBD4F4C__INCLUDED_)
