#if !defined(AFX_CONFPAGE_H__9C792BB1_953C_471B_81FC_9D09D0DE21F8__INCLUDED_)
#define AFX_CONFPAGE_H__9C792BB1_953C_471B_81FC_9D09D0DE21F8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ConfPage.h : header file
//

#include "BrowseCtrl.h"

#define TIMER_INFO_ID	1

/////////////////////////////////////////////////////////////////////////////
// CConfPage dialog

class CConfPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CConfPage)

// Construction
public:
	BOOL StartSTDPProcess();
	void WriteLog(LPCSTR fmt, ...);
	void DisplayStatusInfo();
	static void LoaderThreadProc(CConfPage &page);
	CConfigItem * m_pCfg;
	CString m_PropPageTitle;
	CConfPage();
	CConfPage(CConfigItem * pCfg);
	~CConfPage();

// Dialog Data
	//{{AFX_DATA(CConfPage)
	enum { IDD = IDD_CONFPAGE };
	CStatic	m_pg_icon;
	CBrowseCtrl	m_list;
	UINT	m_count_in;
	UINT	m_count_mail;
	UINT	m_count_out;
	CString	m_netstat;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CConfPage)
	public:
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CConfPage)
	virtual BOOL OnInitDialog();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CONFPAGE_H__9C792BB1_953C_471B_81FC_9D09D0DE21F8__INCLUDED_)
