// ConfSheet.cpp : implementation file
//

#include "stdafx.h"
#include "TGW6.h"
#include "ConfSheet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CConfSheet

IMPLEMENT_DYNAMIC(CConfSheet, CPropertySheet)

CConfSheet::CConfSheet()
	:CPropertySheet()
{
}

CConfSheet::CConfSheet(UINT nIDCaption, CWnd* pParentWnd, UINT iSelectPage)
	:CPropertySheet(nIDCaption, pParentWnd, iSelectPage)
{
}

CConfSheet::CConfSheet(LPCTSTR pszCaption, CWnd* pParentWnd, UINT iSelectPage)
	:CPropertySheet(pszCaption, pParentWnd, iSelectPage)
{
}

CConfSheet::~CConfSheet()
{
}


BEGIN_MESSAGE_MAP(CConfSheet, CPropertySheet)
	//{{AFX_MSG_MAP(CConfSheet)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CConfSheet message handlers

BOOL CConfSheet::Create(CWnd *m_ppsFrame, CWnd *parent)
{
	if (GetPageCount()>0) {
		EnableStackedTabs(FALSE);
		if (CPropertySheet::Create(parent,WS_VISIBLE|WS_BORDER|WS_CHILD,0)) {
			WINDOWPLACEMENT wpl;
			memset(&wpl,0,sizeof(wpl));
			wpl.length=sizeof(wpl);
			m_ppsFrame->GetWindowPlacement(&wpl);
			MoveWindow(&wpl.rcNormalPosition);
			return TRUE;
		}
	}
	return FALSE;
}

BOOL CConfSheet::OnInitDialog() 
{
	BOOL bResult = CPropertySheet::OnInitDialog();
	// TODO: Add your specialized code here
	ModifyStyleEx(0, WS_EX_CONTROLPARENT);
	return bResult;
}
