// EditConfCommon.cpp : implementation file
//

#include "stdafx.h"
#include "TGW6.h"
#include "EditConfCommon.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CEditConfCommon dialog


CEditConfCommon::CEditConfCommon(CWnd* pParent /*=NULL*/)
	: CDialog(CEditConfCommon::IDD, pParent)
{
	//{{AFX_DATA_INIT(CEditConfCommon)
	m_bAskUser = FALSE;
	m_bAutoUpdate = FALSE;
	m_busedialup = FALSE;
	m_email_srv = _T("");
	//}}AFX_DATA_INIT
}


void CEditConfCommon::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CEditConfCommon)
	DDX_Control(pDX, IDC_STATICDIALUP, m_staticdialup);
	DDX_Control(pDX, IDC_DIALUPNAME, m_dialupname);
	DDX_Check(pDX, IDC_B_ASKUSER, m_bAskUser);
	DDX_Check(pDX, IDC_B_AUTOUPDATE, m_bAutoUpdate);
	DDX_Check(pDX, IDC_USEDIAUP, m_busedialup);
	DDX_Text(pDX, IDC_EMAIL_SRV, m_email_srv);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CEditConfCommon, CDialog)
	//{{AFX_MSG_MAP(CEditConfCommon)
	ON_BN_CLICKED(IDC_USEDIAUP, OnUsediaup)
	ON_BN_CLICKED(IDC_B_AUTOUPDATE, OnBAutoupdate)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CEditConfCommon message handlers

void CEditConfCommon::OnUsediaup() 
{
	// TODO: Add your control notification handler code here
	int i;

	UpdateData(TRUE);
	if (m_busedialup) {
		int sel=-1;
		CStringArray connections;

		GetApp()->EnumDialUpConnections(connections);
		m_dialupname.SetCurSel(-1);
		for (i=0; i<m_dialupname.GetCount(); i++) m_dialupname.DeleteString(i);
		for (i=0; i<connections.GetSize(); i++) {
			m_dialupname.AddString(connections[i]);
			if (connections[i]==GetApp()->m_config.m_DialUpName) sel=i;
		}
		if (m_dialupname.GetCount()>0 && sel==-1) sel=0;
		m_dialupname.SetCurSel(sel);
		if (connections.GetSize()) {
			m_dialupname.EnableWindow(TRUE);
			m_staticdialup.EnableWindow(TRUE);
		} else {
			m_dialupname.SetCurSel(-1);
			for (i=0; i<m_dialupname.GetCount(); i++) m_dialupname.DeleteString(i);
			m_dialupname.EnableWindow(FALSE);
			m_staticdialup.EnableWindow(FALSE);
		}
	} else {
			m_dialupname.SetCurSel(-1);
			for (i=0; i<m_dialupname.GetCount(); i++) m_dialupname.DeleteString(i);
			m_dialupname.EnableWindow(FALSE);
			m_staticdialup.EnableWindow(FALSE);
	}
	UpdateData(FALSE);
}

void CEditConfCommon::OnBAutoupdate() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	if (m_bAutoUpdate) GetDlgItem(IDC_B_ASKUSER)->EnableWindow(TRUE);
	else GetDlgItem(IDC_B_ASKUSER)->EnableWindow(FALSE);
}

BOOL CEditConfCommon::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	OnUsediaup();
	OnBAutoupdate();
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CEditConfCommon::OnOK() 
{
	// TODO: Add extra validation here
	int sel=m_dialupname.GetCurSel();
	if (sel>=0) m_dialupname.GetLBText(sel,GetApp()->m_config.m_DialUpName);
	CDialog::OnOK();
}
