// Message.h: interface for the CMessage class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MESSAGE_H__98F05592_F428_472F_9746_5ADA883E97D2__INCLUDED_)
#define AFX_MESSAGE_H__98F05592_F428_472F_9746_5ADA883E97D2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CMessage  
{
	friend class CWinSTDP;
	UINT64 m_kvn;
	CString m_text;
	DWORD m_sendtime;
	BOOL m_ack;

	UINT64 CreateKvn();
public:
	void SetAck(BOOL ack);
	BOOL GetAck(void);
	DWORD GetSendTime(void);
	void SetSendTime(void);
	CString GetKvnString();

	CMessage();
	CMessage(CMessage &msg);
	CMessage(LPCSTR text);
	CMessage & operator=(CMessage &msg);
	CMessage & operator=(LPCSTR text);
	operator LPCSTR();
	virtual ~CMessage();

};

#endif // !defined(AFX_MESSAGE_H__98F05592_F428_472F_9746_5ADA883E97D2__INCLUDED_)
