// TelnetSocket.h: interface for the CTelnetSocket class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TELNETSOCKET_H__9342CF1C_E1B4_4E3D_9BC9_CC57DD726A56__INCLUDED_)
#define AFX_TELNETSOCKET_H__9342CF1C_E1B4_4E3D_9BC9_CC57DD726A56__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "FnSocket.h"
#include "tables.h"

class CTelnetSocket : public CFnSocket  
{
public:
	CString GetString(CString &cs);
	BOOL RunSetCommand();
	void SetConsoleEncoding(int enc);
	int m_console;
	BOOL SetRegPassword(LPCSTR passwd);
	CString GetRegPassword();
	void SendIAC(BYTE cmd,BYTE opt);
	BOOL m_bWin95;
	BOOL m_bAfterUserInput;
	HANDLE m_hShellProcess;
	BOOL StartTGW();
	void ListConfigurations();
	BOOL RunShell();
	BOOL RunExternal(LPCSTR cmd);
	// overloaded
	virtual void OnDisconnect(int nErrorCode);
	virtual void OnConnectFin(int nErrorCode);
	//
	CTelnetSocket();
	virtual ~CTelnetSocket();
	//
	virtual int Send(const void* lpBuf, int nBufLen,int nFlags=0);
	virtual int Receive(void* lpBuf,int nBufLen,int nFlags=0);
};

#endif // !defined(AFX_TELNETSOCKET_H__9342CF1C_E1B4_4E3D_9BC9_CC57DD726A56__INCLUDED_)
