// SpoolSTDP.cpp: implementation of the CSpoolSTDP class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "TGWconf.h"
#include "SpoolSTDP.h"
#include "TGWconf.h"
#include "../TGW/common.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CSpoolSTDP::CSpoolSTDP()
{

}

CSpoolSTDP::~CSpoolSTDP()
{

}

void CSpoolSTDP::OnDisconnect(int nErrorCode)
{
	CWnd *pWnd=CWnd::FindWindow(NULL,"TGW  ");
	if (!pWnd) ExitProcess(0);
	if (GetApp()->m_config[GetApp()->m_nconfig].m_disabled!="1") {
		INDMSG ind;
		ind.Type=ind.Status;
		strcpy(ind.ConfName,GetApp()->m_config[GetApp()->m_nconfig].m_name.Left(MAX_CONFNAME));
		ind.STDP_Status=GetStatus();
		COPYDATASTRUCT cps;
		cps.dwData=0;
		cps.cbData=sizeof(INDMSG);
		cps.lpData=&ind;
		pWnd->SendMessage(WM_COPYDATA,0,(LPARAM)&cps);
	}
	Sleep(3000); ExitProcess(100);
}

void CSpoolSTDP::OnError(LPCSTR pszComment)
{
	CWnd *pWnd=CWnd::FindWindow(NULL,"TGW  ");
	if (!pWnd) ExitProcess(0);
	if (GetApp()->m_config[GetApp()->m_nconfig].m_disabled!="1") {
		INDMSG ind;
		ind.Type=ind.Status;
		strcpy(ind.ConfName,GetApp()->m_config[GetApp()->m_nconfig].m_name.Left(MAX_CONFNAME));
		ind.STDP_Status=GetStatus();
		COPYDATASTRUCT cps;
		cps.dwData=0;
		cps.cbData=sizeof(INDMSG);
		cps.lpData=&ind;
		pWnd->SendMessage(WM_COPYDATA,0,(LPARAM)&cps);
	}
	Sleep(3000); ExitProcess(100);
}

void CSpoolSTDP::Reconnect()
{
	CWnd *pWnd=CWnd::FindWindow(NULL,"TGW  ");
	if (!pWnd) ExitProcess(0);
	if (GetApp()->m_config[GetApp()->m_nconfig].m_disabled!="1") {
		INDMSG ind;
		ind.Type=ind.Status;
		strcpy(ind.ConfName,GetApp()->m_config[GetApp()->m_nconfig].m_name.Left(MAX_CONFNAME));
		ind.STDP_Status=GetStatus();
		COPYDATASTRUCT cps;
		cps.dwData=0;
		cps.cbData=sizeof(INDMSG);
		cps.lpData=&ind;
		pWnd->SendMessage(WM_COPYDATA,0,(LPARAM)&cps);
	}
	Sleep(3000); ExitProcess(100);
}
